> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytsoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get administrations

> Get administrations



## OpenAPI

````yaml /openapi3.json get /v1/administrations
openapi: 3.0.0
info:
  title: API Endpoints
  description: >-
    This page allows you to explore the available API endpoints. Select a
    resource (e.g. debtors) and an endpoint (e.g. /v1/debtors) to inspect an
    example response and available parameters. An authorization header
    containing a Bearer token is required, see
    [Authentication](/authentication/authorization).
  version: 1.0.0
servers:
  - url: https://api.paytsoftware.com
    description: Production
  - url: https://demo-api.paytsoftware.com
    description: Demo / testing
security:
  - bearerAuth: []
tags:
  - name: administrations
    description: Operations about administrations
  - name: companies
    description: Operations about companies
  - name: contacts
    description: Operations about contacts
  - name: credit_cases
    description: Operations about credit_cases
  - name: debtors
    description: Operations about debtors
  - name: files
    description: Operations about files
  - name: orders
    description: Operations about orders
  - name: order_lines
    description: Operations about order_lines
  - name: invoices
    description: Operations about invoices
  - name: messages
    description: Operations about messages
  - name: notes
    description: Operations about notes
  - name: notifications
    description: Operations about notifications
  - name: payments
    description: Operations about payments
  - name: payment_conditions
    description: Operations about payment_conditions
  - name: payment_plans
    description: Operations about payment_plans
  - name: psp_mandates
    description: Operations about psp_mandates
  - name: psp_transactions
    description: Operations about psp_transactions
  - name: sign_up
    description: Operations about sign_ups
  - name: tasks
    description: Operations about tasks
  - name: vat_rates
    description: Operations about vat_rates
paths:
  /v1/administrations:
    get:
      tags:
        - administrations
      summary: Get administrations
      description: Get administrations
      operationId: getV1Administrations
      parameters:
        - in: query
          name: fields
          description: >-
            JSON object defining fields to receive (e.g {"only": ["field1",
            {"field2": ["field3"]}]})
          required: false
          schema:
            type: string
        - in: query
          name: cursor
          description: The record identifier after which to start the page
          required: false
          schema:
            type: string
        - in: query
          name: per_page
          description: >-
            How many records will be returned per page, (1..500), defaults to
            100
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 500
            default: 100
      responses:
        '200':
          description: Paginated list of administrations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_AdministrationsPageEntity'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
        '403':
          description: Access not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
components:
  schemas:
    CustomerApi_AdministrationsPageEntity:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CustomerApi_V1_AdministrationEntity'
          description: Administration
        pagination:
          allOf:
            - $ref: '#/components/schemas/CustomerApi_PaginationEntity'
          description: Pagination details
      required:
        - data
      description: CustomerApi_AdministrationsPageEntity model
    CustomerApi_ErrorEntity:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - code
        - message
      description: CustomerApi_ErrorEntity model
    CustomerApi_V1_AdministrationEntity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        name:
          type: string
          description: Name
        status:
          type: string
          enum:
            - active
            - inactive
            - deleted
            - implementation
          description: Status
        email_address:
          type: string
          description: Email address of the administration
        contact_name:
          type: string
          description: The name of the contact person for this administration
        commercial_registration_number:
          type: string
          description: Offical national commercial registration number
        country_code:
          type: string
          description: ISO 3166 Alpha-2 country code, Part of the administration address
        city:
          type: string
          description: Part of the administration address
        house_number:
          type: string
          description: Part of the administration address
        internal_name:
          type: string
          description: Internal name
        street_name:
          type: string
          description: Part of the administration address
        postal_code:
          type: string
          description: Part of the administration address
        bank_account_name:
          type: string
          description: Name of the bank account holder
        bank_account_number:
          type: string
          description: Number of the bank account
        bank_account_bic:
          type: string
          description: BIC of the bank
        vat_number:
          type: string
          description: VAT number of the administration
        timezone:
          type: string
          description: >-
            Timezone in which the administration primarily operates, canonical
            tz name
        currency_code:
          type: string
          description: The accounting or reporting currency, ISO 4217
        administration_url:
          type: string
          description: The url to the administration in the Payt interface
        import_origin_identifier:
          type: string
          description: >-
            The identifier which is used for importing from origin (request with
            the 'fields' parameter)
        last_successful_import_at:
          type: string
          format: date-time
          description: >-
            Timestamp of the last successful import (request with the 'fields'
            parameter)
        paused_at:
          type: string
          format: date-time
          description: Timestamp at which the administration was paused
        reminding_paused_at:
          type: string
          format: date-time
          description: >-
            Timestamp at which sending reminders for the administration was
            paused
      required:
        - id
        - name
        - status
        - email_address
        - contact_name
        - commercial_registration_number
        - country_code
        - city
        - house_number
        - internal_name
        - street_name
        - postal_code
        - timezone
        - currency_code
        - administration_url
      description: CustomerApi_V1_AdministrationEntity model
    CustomerApi_PaginationEntity:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor for fetching the next page
      required:
        - cursor
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth2 access token or static API token. See
        [Authorization](/authentication/authorization) for how to obtain one.

````